Top 9 open source ERP systems to consider | Opensource.com
======
![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/BUSINESS_orgchart1.png?itok=tukiFj89)
Businesses with more than a handful of employees have a lot to balance including pricing, product planning, accounting and finance, managing payroll, dealing with inventory, and more. Stitching together a set of disparate tools to handle those jobs is a quick, cheap, and dirty way to get things done.

That approach isn't scalable. It's difficult to efficiently move data between the various pieces of such an ad-hoc system. As well, it can be difficult to maintain.

Instead, most growing businesses turn to an [enterprise resource planning][1] (ERP) system.

The big guns in that space are Oracle, SAP, and Microsoft Dynamics. Their offerings are comprehensive, but also expensive. What happens if your business can't afford one of those big implementations or if your needs are simple? You turn to the open source alternatives.

### What to look for in an ERP system

Obviously, you want a system that suits your needs. Depending on those needs, more features doesn't always mean better. However, your needs might change as your business grows, so you'll want to find an ERP system that can expand to meet your new needs. That could mean the system has additional modules or just supports plugins and add-ons.

Most open source ERP systems are web applications. You can download and install them on your server. But if you don't want (or don't have the skills or staff) to maintain a system yourself, then make sure there's a hosted version of the application available.

Finally, you'll want to make sure the application has good documentation and good support—either in the form of paid support or an active user community.

There are a number of flexible, feature-rich, and cost-effective open source ERP systems out there. Here are nine to check out if you're in the market for such a system.

### ADempiere

Like most other open source ERP solutions, [ADempiere][2] is targeted at small and midsized businesses. It's been around awhile—the project was formed in 2006 as a fork from the Compiere ERP software.

Its Italian name means to achieve or satisfy, and its "multidimensional" ERP features aim to help businesses satisfy a wide range of needs. It adds supply chain management (SCM) and customer relationship management (CRM) features to its ERP suite to help manage sales, purchasing, inventory, and accounting processes in one piece of software. Its latest release, v.3.9.0, updated its user interface, point-of-sale, HR, payroll, and other features.

As a multiplatform, Java-based cloud solution, ADempiere is accessible on Linux, Unix, Windows, MacOS, smartphones, and tablets. It is licensed under [GPLv2][3]. If you'd like to learn more, take its [demo][4] for a test run or access its [source code][5] on GitHub.

### Apache OFBiz

[Apache OFBiz][6]'s suite of related business tools is built on a common architecture that enables organizations to customize the ERP to their needs. As a result, it's best suited for midsize or large enterprises that have the internal development resources to adapt and integrate it within their existing IT and business processes.

OFBiz is a mature open source ERP system; its website says it's been a top-level Apache project for a decade. [Modules][7] are available for accounting, manufacturing, HR, inventory management, catalog management, CRM, and e-commerce. You can also try out its e-commerce web store and backend ERP applications on its [demo page][8].

Apache OFBiz's source code can be found in the [project's repository][9]. It is written in Java and licensed under an [Apache 2.0 license][10].

### Dolibarr

[Dolibarr][11] offers end-to-end management for small and midsize businesses—from keeping track of invoices, contracts, inventory, orders, and payments to managing documents and supporting electronic point-of-sale system. It's all wrapped in a fairly clean interface.

If you're wondering what Dolibarr can't do, [here's some documentation about that][12].

In addition to an [online demo][13], Dolibarr also has an [add-ons store][14] where you can buy software that extends its features. You can check out its [source code][15] on GitHub; it's licensed under [GPLv3][16] or any later version.

### ERPNext

[ERPNext][17] is one of those classic open source projects; in fact, it was [featured on Opensource.com][18] way back in 2014. It was designed to scratch a particular itch, in this case replacing a creaky and expensive proprietary ERP implementation.

ERPNext was built for small and midsized businesses. It includes modules for accounting, managing inventory, sales, purchase, and project management. The applications that make up ERPNext are form-driven—you fill information in a set of fields and let the application do the rest. The whole suite is easy to use.

If you're interested, you can request a [demo][19] before taking the plunge and [downloading it][20] or [buying a subscription][21] to the hosted service.

### Metasfresh

[Metasfresh][22]'s name reflects its commitment to keeping its code "fresh." It's released weekly updates since late 2015, when its founders forked the code from the ADempiere project. Like ADempiere, it's an open source ERP based on Java targeted at the small and midsize business market.

While it's a younger project than most of the other software described here, it's attracted some early, positive attention, such as being named a finalist for the Initiative Mittelstand "best of open source" IT innovation award.

Metasfresh is free when self-hosted or for one user via the cloud, or on a monthly subscription fee basis as a cloud-hosted solution for 1-100 users. Its [source code][23] is available under the [GPLv2][24] license at GitHub and its cloud version is licensed under GPLv3.

### Odoo

[Odoo][25] is an integrated suite of applications that includes modules for project management, billing, accounting, inventory management, manufacturing, and purchasing. Those modules can communicate with each other to efficiently and seamlessly exchange information.

While ERP can be complex, Odoo makes it friendlier with a simple, almost spartan interface. The interface is reminiscent of Google Drive, with just the functions you need visible. You can [give Odoo a try][26] before you decide to sign up.

Odoo is a web-based tool. Subscriptions to individual modules will set you back $20 (USD) a month for each one. You can also [download it][27] or grab the [source code][28] from GitHub. It's licensed under [LGPLv3][29].

### Opentaps

[Opentaps][30], one of the few open source ERP solutions designed for larger businesses, packs a lot of power and flexibility. This is no surprise because it's built on top of Apache OFBiz.

You get the expected set of modules that help you manage inventory, manufacturing, financials, and purchasing. You also get an analytics feature that helps you analyze all aspects of your business. You can use that information to better plan into the future. Opentaps also packs a powerful reporting function.

On top of that, you can [buy add-ons and additional modules][31] to enhance Opentaps' capabilities. They include integration with Amazon Marketplace Services and FedEx. Before you [download Opentaps][32], give the [online demo][33] a try. It's licensed under [GPLv3][34].

### WebERP

[WebERP][35] is exactly as it sounds: An ERP system that operates through a web browser. The only other software you need is a PDF reader to view reports.

Specifically, its an accounting and business management solution geared toward wholesale, distribution, and manufacturing businesses. It also integrates with [third-party business software][36], including a point-of-sale system for multi-branch retail management, an e-commerce module, and wiki software for building a business knowledge base. It's written in PHP and aims to be a low-footprint, efficient, fast, and platform-independent system that's easy for general business users.

WebERP is actively being developed and has an active [forum][37], where you can ask questions or learn more about using the application. You can also try a [demo][38] or download the [source code][39] (licensed under [GPLv2][40]) on GitHub.

### xTuple PostBooks

If your manufacturing, distribution, or e-commerce business has outgrown its small business roots and is looking for an ERP to grow with you, you may want to check out [xTuple PostBooks][41]. It's a comprehensive solution built around its core ERP, accounting, and CRM features that adds inventory, distribution, purchasing, and vendor reporting capabilities.

xTuple is available under the Common Public Attribution License ([CPAL][42]), and the project welcomes developers to fork it to create other business software for inventory-based manufacturers. Its web app core is written in JavaScript, and its [source code][43] can be found on GitHub. To see if it's right for you, register for a free [demo][44] on xTuple's website.

There are many other open source ERP options you can choose from—others you might want to check out include [Tryton][45], which is written in Python and uses the PostgreSQL database engine, or the Java-based [Axelor][46], which touts users' ability to create or modify business apps with a drag-and-drop interface. And, if your favorite open source ERP solution isn't on the list, please share it with us in the comments. You might also check out our list of top [supply chain management tools][47].

This article is updated from a [previous version][48] authored by Opensource.com moderator [Scott Nesbitt][49].

--------------------------------------------------------------------------------

via: https://opensource.com/tools/enterprise-resource-planning

作者：[Opensource.com][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)
选题：[lujun9972](https://github.com/lujun9972)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com
[1]:http://en.wikipedia.org/wiki/Enterprise_resource_planning
[2]:http://www.adempiere.net/welcome
[3]:http://wiki.adempiere.net/License
[4]:http://www.adempiere.net/web/guest/demo
[5]:https://github.com/adempiere/adempiere
[6]:http://ofbiz.apache.org/
[7]:https://ofbiz.apache.org/business-users.html#UsrModules
[8]:http://ofbiz.apache.org/ofbiz-demos.html
[9]:http://ofbiz.apache.org/source-repositories.html
[10]:http://www.apache.org/licenses/LICENSE-2.0
[11]:http://www.dolibarr.org/
[12]:http://wiki.dolibarr.org/index.php/What_Dolibarr_can%27t_do
[13]:http://www.dolibarr.org/onlinedemo
[14]:http://www.dolistore.com/
[15]:https://github.com/Dolibarr/dolibarr
[16]:https://github.com/Dolibarr/dolibarr/blob/develop/COPYING
[17]:https://erpnext.com/
[18]:https://opensource.com/business/14/11/building-open-source-erp
[19]:https://frappe.erpnext.com/request-a-demo
[20]:https://erpnext.com/download
[21]:https://erpnext.com/pricing
[22]:http://metasfresh.com/en/
[23]:https://github.com/metasfresh/metasfresh
[24]:https://github.com/metasfresh/metasfresh/blob/master/LICENSE.md
[25]:https://www.odoo.com/
[26]:https://www.odoo.com/page/start
[27]:https://www.odoo.com/page/download
[28]:https://github.com/odoo
[29]:https://github.com/odoo/odoo/blob/11.0/LICENSE
[30]:http://www.opentaps.org/
[31]:http://shop.opentaps.org/
[32]:http://www.opentaps.org/products/download
[33]:http://www.opentaps.org/products/online-demo
[34]:https://www.gnu.org/licenses/agpl-3.0.html
[35]:http://www.weberp.org/
[36]:http://www.weberp.org/Links.html
[37]:http://www.weberp.org/forum/
[38]:http://www.weberp.org/weberp/
[39]:https://github.com/webERP-team/webERP
[40]:https://github.com/webERP-team/webERP#legal
[41]:https://xtuple.com/
[42]:https://xtuple.com/products/license-options#cpal
[43]:http://xtuple.github.io/
[44]:https://xtuple.com/free-demo
[45]:http://www.tryton.org/
[46]:https://www.axelor.com/
[47]:https://opensource.com/tools/supply-chain-management
[48]:https://opensource.com/article/16/3/top-4-open-source-erp-systems
[49]:https://opensource.com/users/scottnesbitt
